## CamelHTMLParser CamelHTMLParser |

## Functions

CamelHTMLParser * | camel_html_parser_new ()
void | camel_html_parser_set_data ()
CamelHTMLParserState | camel_html_parser_step ()
const gchar * | camel_html_parser_left ()
const gchar * | camel_html_parser_tag ()
const gchar * | camel_html_parser_attr ()
const GPtrArray * | camel_html_parser_attr_list ()

## Types and Values

enum | CamelHTMLParserState

## Object Hierarchy

        GObject
        ╰── CamelHTMLParser

## Description

## Functions

### camel_html_parser_new ()

    CamelHTMLParser *
    camel_html_parser_new (void);

Create a new CamelHTMLParser object.

#### Returns

A new CamelHTMLParser widget.

### camel_html_parser_set_data ()

    void
    camel_html_parser_set_data (CamelHTMLParser *hp,
                                const gchar *start,
                                gint len,
                                gint last);

### camel_html_parser_step ()

    CamelHTMLParserState
    camel_html_parser_step (CamelHTMLParser *hp,
                            const gchar **datap,
                            gint *lenp);

### camel_html_parser_left ()

    const gchar *
    camel_html_parser_left (CamelHTMLParser *hp,
                            gint *lenp);

### camel_html_parser_tag ()

    const gchar *
    camel_html_parser_tag (CamelHTMLParser *hp);

### camel_html_parser_attr ()

    const gchar *
    camel_html_parser_attr (CamelHTMLParser *hp,
                            const gchar *name);

### camel_html_parser_attr_list ()

    const GPtrArray *
    camel_html_parser_attr_list (CamelHTMLParser *hp,
                                 const GPtrArray **values);

#### Parameters

values | . | [element-type utf8][inout]

#### Returns

.

[element-type utf8][transfer none]

## Types and Values

### enum CamelHTMLParserState

#### Members

CAMEL_HTML_PARSER_DATA |  |
CAMEL_HTML_PARSER_ENT |  |
CAMEL_HTML_PARSER_ELEMENT |  |
CAMEL_HTML_PARSER_TAG |  |
CAMEL_HTML_PARSER_DTDENT |  |
CAMEL_HTML_PARSER_COMMENT0 |  |
CAMEL_HTML_PARSER_COMMENT |  |
CAMEL_HTML_PARSER_ATTR0 |  |
CAMEL_HTML_PARSER_ATTR |  |
CAMEL_HTML_PARSER_VAL0 |  |
CAMEL_HTML_PARSER_VAL |  |
CAMEL_HTML_PARSER_VAL_ENT |  |
CAMEL_HTML_PARSER_EOD |  |
CAMEL_HTML_PARSER_EOF |  |